## apt-build 0.11.10

=== Makefile ===
CC_BIN = cc.wrapper
MAKE_BIN = make.wrapper
CFLAGS = -W -Wall
OBJ_FILES = config.o

all: $(CC_BIN) $(MAKE_BIN)

$(CC_BIN): cc.wrapper.c config.o
	$(CC) $(CFLAGS) -o $(CC_BIN) cc.wrapper.c config.o

$(MAKE_BIN): make.wrapper.c config.o
	$(CC) $(CFLAGS) -o $(MAKE_BIN) make.wrapper.c config.o

clean:
	rm -f $(OBJ_FILES) $(CC_BIN) $(MAKE_BIN)

## apt-build 0.9.2.1

=== debian/changelog ===
apt-build (0.9.2.1) unstable; urgency=low

  * Fix somes typo (Closes: #235179) 

 -- Julien Danjou <acid@debian.org>  Sun, 29 Feb 2004 14:32:16 +0100

apt-build (0.9.2) unstable; urgency=low

  * Update of manpages and templates
  * Should be able to build package with `-' (Closes: #219639)
  * Update russian translation (Closes: #219090)
  * Some questions have now medium instead of critical priority
    (Closes: #207506)
  * Update spanish manpage (Closes: #218740)
  * Update danish translation (Closes: #227611)
  * Update brazilian portuguese translation (Closes: #227280)
  * Update italian translation (Closes: #226704) 

 -- Julien Danjou <acid@debian.org>  Thu, 26 Feb 2004 17:45:21 +0100

apt-build (0.9.1) unstable; urgency=low

  * Fix `Davor Ocelic' :-)
  * Update japanese translation (Closes: #217416)
  * Update french translation (Closes: #216154) 

 -- Julien Danjou <acid@debian.org>  Sat,  1 Nov 2003 15:53:39 +0100

apt-build (0.9) unstable; urgency=low

  * Use the apt-build rewrite by Davor Ocelic

 -- Julien Danjou <acid@debian.org>  Wed, 15 Oct 2003 20:18:05 +0200

apt-build (0.8.8) unstable; urgency=low

  * New russian translation (Closes: #214382)
  * New japan translation (Closes: #210371)
  * New brazilian portuguese translation (Closes: #207947)
  * Print the correct line in debconf (Closes: #207632) 

 -- Julien Danjou <acid@debian.org>  Thu,  9 Oct 2003 15:51:28 +0200

apt-build (0.8.7) unstable; urgency=low

  * Apply patch from Christian Perrier (Closes: #206964)
  * Fix problem handling CDROM (Closes: #206846)
  * Updating fr.po (Closes: #206963) 

 -- Julien Danjou <acid@debian.org>  Sun, 24 Aug 2003 14:37:13 +0200

apt-build (0.8.6.1) unstable; urgency=low

  * Fix stupid bug with $new (Closes: #206635)
  * *Really* include spanish manpage (Closes: #206700)  

 -- Julien Danjou <acid@debian.org>  Fri, 22 Aug 2003 15:39:23 +0200

apt-build (0.8.6) unstable; urgency=low

  * Fix a postinst bug with zcat on new install
  * Include patch from Yindong Yu, it should closes: #201987, #203935

 -- Julien Danjou <acid@debian.org>  Wed, 20 Aug 2003 13:50:09 +0200

apt-build (0.8.5) unstable; urgency=low

  * Add -t apt-build to apt-get install (Closes: #194380)
  * Modify postinst to gzip /dev/null (Closes: #200528)
  * Handle : in version while getting source (Closes: #193383)
  * Some fixes in man pages (Closes: #194277)
  * Adding Brazilian Portuguese debconf translation (Closes: #197511)
  * Adding spanish manpage (Closes: #197399)
  * Adding Japanese debconf translation (Closes: #193738)
  * Fixed \n in templates (Closes: #193007)

 -- Julien Danjou <acid@debian.org>  Mon, 14 Jul 2003 17:35:21 +0200

apt-build (0.8.4.1) unstable; urgency=low

  * Should *really* support CDROM, Thanks to David Robin, again.

 -- Julien Danjou <acid@debian.org>  Sun, 11 May 2003 14:19:34 +0200

apt-build (0.8.4) unstable; urgency=low

  * Should not die any more (Closes: #191917)
  * Fix template (Closes: #191383)
  * Fix french template (Closes: #191731, #191229)
  * Be more verbose about build directory in README.Debian (Closes: #173149)

 -- Julien Danjou <acid@debian.org>  Sat, 10 May 2003 20:42:01 +0200

apt-build (0.8.3) unstable; urgency=low

  * Added cdrom support (Thanks to David Robin)

 -- Julien Danjou <acid@debian.org>  Wed,  7 May 2003 16:08:44 +0200

apt-build (0.8.2.1) unstable; urgency=low

  * Oups, tabulation in help !
  * Uses po files

 -- Julien Danjou <acid@debian.org>  Thu, 17 Apr 2003 15:55:08 +0200

apt-build (0.8.2) unstable; urgency=low

  * Use source package when calling apt-get source with
    specific version (closes: #189403)
  
 -- Julien Danjou <acid@debian.org>  Thu, 17 Apr 2003 15:42:37 +0200

apt-build (0.8.1) unstable; urgency=low

  * Depends on gcc and g++ only
  * Packages will not be built multiples times (closes: #177964)
  * Add a note about apt/preferences in README.Debian (closes: #185273)
  * Fix typo in manpages (closes: #179433)
  * Add support for target-release option and package/dist syntax 
  (closes: #181584)

 -- Julien Danjou <acid@gloups.boumbo.org>  Sat, 12 Apr 2003 20:42:50 +0200

apt-build (0.8) unstable; urgency=low

  * Detect architecture (Closes: #173151)
  * We use the default gcc since gcc-3.x is now the default compiler
  * Use split() for options (Closes: #174406)
  * New danish template (Closes: #175030)
  * Update spanish template (Closes: #174884) 

 -- Julien Danjou <acid@debian.org>  Tue, 21 Jan 2003 21:46:26 +0100

apt-build (0.7) unstable; urgency=low

  * Print an error message if compiler is not installed
    (Closes: #165742)
  * Add double quote in postint (Closes: #165743)
  * Now print compilation option (Closes: #165788, #167103)
  * Fix templates (Closes: #163040)
  * New Italian template (Closes: #171741)
  * French manpage (Closes: #166710)
  * Fix perm for Release (Closes: #171749)

 -- Julien Danjou <acid@debian.org>  Fri,  6 Dec 2002 23:00:21 +0100

apt-build (0.6.4) unstable; urgency=low

  * Fix man page (Closes: #162667)
  * Fix spaces in templates (Closes: #163040)

 -- Julien Danjou <acid@debian.org>  Wed,  9 Oct 2002 21:18:49 +0200

apt-build (0.6.3) unstable; urgency=low

  * pentium-mmx for gcc-3.1 and gcc-3.2 only (Closes: #162031)
  * Some cleanup 

 -- Julien Danjou <acid@debian.org>  Wed, 25 Sep 2002 18:57:27 +0200

apt-build (0.6.2) unstable; urgency=low

  * Fix g++ issues. Thanks to Torsten Werner
    <twerner@debian.org> (Closes: #158369)
  * info command now works
  * Don't stop on build error (Closes: #155143)
  * debian/postinst: chmod source.list to 644 (Closes: #156907)
  * Change version system (0.6.2 instead of 0.6-2)
    because this is a native Debian package
  * debian/postinst: create symlink (Closes: #157761, #158123)
  * Support for virtual packages (Closes: #158415)
  * Support of gcc-3.2 and more arch (Closes: #156910)
  * More sparc arch support (Closes: #156912)

 -- Julien Danjou <acid@debian.org>  Tue,  3 Sep 2002 12:19:50 +0200



=== debian/control ===
Source: apt-build
Section: devel
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.6.1.0

Package: apt-build
Architecture: all
Depends: ${perl:Depends}, apt (>= 0.5), gcc, g++, dpkg-dev (>= 1.9), libappconfig-perl (>= 1.5), libapt-pkg-perl (>= 0.1.11), debconf, devscripts, apt-utils
Recommends: fakeroot, build-essential
Conflicts: pentium-builder
Description: Frontend to apt to build, optimize and install packages
 This is an apt-get front-end for compiling software optimized
 for your architecture by creating a local repository with built packages.
 It can manage system upgrade too.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > apt-build.sed
	mv apt-build.sed apt-build

	# Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/apt-build.
	install  apt-build debian/apt-build/usr/bin/
	install gcc.wrapper debian/apt-build/usr/bin
	install g++.wrapper debian/apt-build/usr/bin/
	dh_link usr/bin/gcc.wrapper usr/bin/gcc
	dh_link usr/bin/g++.wrapper usr/bin/g++
	install -m 644 debian/Release debian/apt-build/usr/share/apt-build/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-build 0.9.16

=== debian/changelog ===
apt-build (0.9.16) unstable; urgency=low

  * Fix a typo in french template (Thanks Fabien Fenaut)

 -- Julien Danjou <acid@debian.org>  Thu, 30 Dec 2004 18:24:20 +0100

apt-build (0.9.15) unstable; urgency=low

  * Fix problem with some packages where source version is different from
    binary version (Closes: #285721)

 -- Julien Danjou <acid@debian.org>  Mon, 27 Dec 2004 20:43:23 +0100

apt-build (0.9.14) unstable; urgency=low

  * Add a warning if apt-build.list does not exist (Closes: #285991) 

 -- Julien Danjou <acid@debian.org>  Mon, 27 Dec 2004 11:21:51 +0100

apt-build (0.9.13) unstable; urgency=low

  * Fix bug if no source lines are present in sources.list
    (Thanks to Davor Ocelic)

 -- Julien Danjou <acid@debian.org>  Wed, 22 Dec 2004 23:19:47 +0100

apt-build (0.9.12) unstable; urgency=low

  * Fix sources-list option
  * Update spanish translation (Closes: #285312)
  * Fix a bug with --target-release option 

 -- Julien Danjou <acid@debian.org>  Sun, 12 Dec 2004 18:06:03 +0100

apt-build (0.9.11) unstable; urgency=low

  * Fix options expected in apt-build.conf (Closes: #281693)
  * Add a patch from Alexander Ehlert to managing sources
    This add 3 new commands:
    - clean-sources
    - build-source
    - update-sources
  * Provide an alias for --sources-list
    Thanks to Joel Soete (Closes: #281687)

 -- Julien Danjou <acid@debian.org>  Fri, 10 Dec 2004 20:39:35 +0100

apt-build (0.9.10) unstable; urgency=low

  * Fix options (Thanks to Cyb.org) 

 -- Julien Danjou <acid@debian.org>  Mon,  1 Nov 2004 23:07:19 +0100

apt-build (0.9.9) unstable; urgency=low

  * Fix clean_repository (Closes: #271546) 

 -- Julien Danjou <acid@debian.org>  Tue, 14 Sep 2004 00:10:04 +0200

apt-build (0.9.8) unstable; urgency=low

  * Mention optimizations in the package changelog (Closes: #240018)

 -- Julien Danjou <acid@debian.org>  Fri, 10 Sep 2004 13:35:13 +0200

apt-build (0.9.7) unstable; urgency=low

  * Add Czech translation (Closes: #266570)

 -- Julien Danjou <acid@debian.org>  Fri, 20 Aug 2004 22:38:15 +0200

apt-build (0.9.6) unstable; urgency=high

  * Remove print to stderr in gcc/g++ wrappers (Closes: #265564)

 -- Julien Danjou <acid@debian.org>  Fri, 13 Aug 2004 20:31:16 +0200

apt-build (0.9.5) unstable; urgency=low

  * Fix a regexp, thanks to Philipp Frauenfelder (Closes: #265033) 

 -- Julien Danjou <acid@debian.org>  Wed, 11 Aug 2004 15:54:01 +0200

apt-build (0.9.4.1) unstable; urgency=low

  * Really Update Brazilian Portuguese translation
    (Patch from #264085 did not apply)

 -- Julien Danjou <acid@debian.org>  Sun,  8 Aug 2004 09:38:42 +0200

apt-build (0.9.4) unstable; urgency=low

  * Update Brazilian Portuguese translation (Closes: #264085)
  * Re-add clean command (Closes: #263507) 

 -- Julien Danjou <acid@debian.org>  Sat,  7 Aug 2004 21:10:53 +0200

apt-build (0.9.3) unstable; urgency=low

  * The "Babel Tower" Release
  * Fix XSI:isms (Closes: #258313)
  * Update Spanish manpage (Closes: #239908)
  * Add Greek translation (Closes: #237849)
  * Add German translation (Closes: #250291)
  * Add Dutch translation (Closes: #244631)
  * Update Japanese translation (Closes: #237776)
  * Update Danish translation (Closes: #237283)
  * Update French translation (Closes: #236089) 

 -- Julien Danjou <acid@debian.org>  Wed, 14 Jul 2004 15:11:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
+	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -n 1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > apt-build.sed
+	mv apt-build.sed apt-build
 
 	touch configure-stamp
 
@@ -29,9 +31,6 @@
 
 build-stamp: configure-stamp 
 	dh_testdir
-
-	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > apt-build.sed
-	mv apt-build.sed apt-build
 
 	# Add here commands to compile the package.

## apt-build 0.11.10

=== debian/changelog ===
apt-build (0.11.10) unstable; urgency=low

  * Add vi translation (Closes: #308608)

 -- Julien Danjou <acid@debian.org>  Thu, 12 May 2005 00:23:46 +0200

apt-build (0.11.9) unstable; urgency=low

  * Update it translation (Closes: #307091) 

 -- Julien Danjou <acid@debian.org>  Sat, 30 Apr 2005 20:55:00 +0200

apt-build (0.11.8) unstable; urgency=high

  * Fix patch option

 -- Julien Danjou <acid@debian.org>  Wed, 23 Mar 2005 00:29:03 +0100

apt-build (0.11.7) unstable; urgency=high

  * Fix bug with 0.11.5 introduced by dropping march

 -- Julien Danjou <acid@debian.org>  Wed, 23 Mar 2005 00:05:52 +0100

apt-build (0.11.6) unstable; urgency=high

  * Fix segfault with make_options (Closes: #299481)
    (Thanks to Craig Shelley)

 -- Julien Danjou <acid@debian.org>  Sun, 20 Mar 2005 15:36:16 +0100

apt-build (0.11.5) unstable; urgency=low

  * Update es manpage
  * Fix SPARC CPU (Thanks to Sebastien Lange)
  * Remove -march because it is not very useful and add problem to
    some arch

 -- Julien Danjou <acid@debian.org>  Sat, 19 Mar 2005 23:31:19 +0100

apt-build (0.11.4) unstable; urgency=low

  * Update cs debconf translation 

 -- Julien Danjou <acid@debian.org>  Sat, 15 Jan 2005 18:32:49 +0100

apt-build (0.11.3) unstable; urgency=low

  * Update pt_BR debconf translation 

 -- Julien Danjou <acid@debian.org>  Fri, 14 Jan 2005 06:46:29 +0100

apt-build (0.11.2) unstable; urgency=low

  * Update nl debconf translation (Closes: #290096)
  * Update da debconf translation
  * Update de debconf translation
  * Update fr debconf translation (Closes: #290244)
  * Update ja debconf translation 

 -- Julien Danjou <acid@debian.org>  Thu, 13 Jan 2005 10:36:10 +0100

apt-build (0.11.1) unstable; urgency=low

  * Source cleaning 

 -- Julien Danjou <acid@debian.org>  Wed, 12 Jan 2005 19:09:10 +0100

apt-build (0.11.0) unstable; urgency=low

  * Fix problem with multiple gcc options in wrapper
  * Add cc and c++ wrapper support
  * Add a make wrapper (Closes: #226440, #226410)
  * Re-add build-repository command (Closes: #223887)
  * Add a note about wrappers in README.Debian, so I will be able
    to say RTFM to the next user who will make a bug report about this
    (Closes: #289263)

 -- Julien Danjou <acid@debian.org>  Wed, 12 Jan 2005 18:47:44 +0100

apt-build (0.10.1) unstable; urgency=low

  * Wrong path in wrapper (Closes: #289116) 

 -- Julien Danjou <acid@debian.org>  Fri,  7 Jan 2005 11:22:38 +0100

apt-build (0.10.0) unstable; urgency=low

  * The "I will kill Gentoo in 2005" release ;-)
  * Use new wrapper system, written in C and not using diversion anymore
    (Closes: #288036)
  * Fix some version parsing errors
    This still need to be rewritten with libapt-pkg-perl
  * Fix description (Closes: #288131)
  * Changes debconf template (Closes: #288130)
  * Fix sub world (need to chomp())
  * Fix some english spelling errors

 -- Julien Danjou <acid@debian.org>  Thu,  6 Jan 2005 17:05:18 +0100

=== debian/control ===
Source: apt-build
Section: devel
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.6.1.0

Package: apt-build
Architecture: any
Depends: ${perl:Depends}, apt (>= 0.5), gcc, g++, dpkg-dev (>= 1.9), libappconfig-perl (>= 1.5), libapt-pkg-perl (>= 0.1.11), debconf, devscripts, apt-utils
Recommends: fakeroot, build-essential
Conflicts: pentium-builder
Description: frontend to apt to build, optimize and install packages
 This is an apt-get front-end for compiling software optimized
 for your architecture by creating a local repository with built packages.
 It can manage system upgrades too.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-
+DEB_HOST_ARCH           := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_GNU_SYSTEM     := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+DEB_HOST_GNU_TYPE       := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -21,8 +23,6 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -n 1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > apt-build.sed
-	mv apt-build.sed apt-build
 
 	touch configure-stamp
 
@@ -33,6 +33,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
+	$(MAKE)
 
 	touch build-stamp
 
@@ -42,6 +43,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
+	$(MAKE) clean
 	dh_clean
 
 install: build
@@ -51,11 +53,21 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/apt-build.
-	install  apt-build debian/apt-build/usr/bin/
-	install gcc.wrapper debian/apt-build/usr/bin
-	install g++.wrapper debian/apt-build/usr/bin/
-	dh_link usr/bin/gcc.wrapper usr/bin/gcc
-	dh_link usr/bin/g++.wrapper usr/bin/g++
+	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -n 1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > debian/apt-build/usr/bin/apt-build
+	chmod 0755 debian/apt-build/usr/bin/apt-build
+	install cc.wrapper debian/apt-build/usr/lib/apt-build/
+	install make.wrapper debian/apt-build/usr/lib/apt-build/
+	# gcc
+	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/gcc
+	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/cc
+	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/$(DEB_HOST_GNU_TYPE)-gcc
+	# g++
+	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/g++
+	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/c++
+	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/$(DEB_HOST_GNU_TYPE)-g++
+	# make
+	dh_link usr/lib/apt-build/make.wrapper usr/lib/apt-build/make
+
 	install -m 644 debian/Release debian/apt-build/usr/share/apt-build/

## apt-build 0.12.9

=== Makefile ===
# $Id$

APT_BUILD = apt-build
APT_BUILD_WRAPPER = apt-build-wrapper
WRAP_PROGRAMMS = gcc cc g++ c++ make
CFLAGS = -W -Wall -D_GNU_SOURCE -g
INSTALL = install
LN_S = ln -s
BINDIR = $(DESTDIR)/usr/bin
APT_BUILD_DIR = $(DESTDIR)/usr/lib/apt-build
HOST_TYPE = 

all: $(APT_BUILD_WRAPPER)

$(APT_BUILD_WRAPPER): wrapper.c config.o
	$(CC) $(CFLAGS) -o $@ $^

install:	$(APT_BUILD_WRAPPER) $(APT_BUILD)
	$(INSTALL) -g 0 -o 0 -d $(BINDIR)
	$(INSTALL) -g 0 -o 0 -m 755 $(APT_BUILD) $(BINDIR)
	$(INSTALL) -g 0 -o 0 -d $(APT_BUILD_DIR)
	$(INSTALL) -g 0 -o 0 -m 755 $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)
	for prog in $(WRAP_PROGRAMMS); do \
		$(LN_S) $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)/$$prog; \
	done
ifneq ($(HOST_TYPE),)
	for prog in gcc g++; do \
		$(LN_S) $(APT_BUILD_WRAPPER) $(APT_BUILD_DIR)/$$prog-$(HOST_TYPE); \
	done
endif

clean:
	rm -f *.o $(APT_BUILD_WRAPPER) cc.wrapper.c make.wrapper.c

=== debian/changelog ===
apt-build (0.12.9) unstable; urgency=low

  * Fix problem with configuration which was not parsed anymore
    (Closes: #311284) 

 -- Julien Danjou <acid@debian.org>  Mon, 30 May 2005 17:24:05 +0200

apt-build (0.12.8) unstable; urgency=low

  * Add sub source() deleted by a previous patch (Closes: #311260) 

 -- Julien Danjou <acid@debian.org>  Mon, 30 May 2005 12:36:06 +0200

apt-build (0.12.7) unstable; urgency=low

  * Fix patches applied several times with build-source (Closes: #310918)
  * Stop when a patch fails (Closes: #310819)
  * Fix error message when build fails
  * Update manpage 

 -- Julien Danjou <acid@debian.org>  Fri, 27 May 2005 17:16:12 +0200

apt-build (0.12.6) unstable; urgency=low

  * Fix a typo with LANG=C
  * Remove a debug print 

 -- Julien Danjou <acid@debian.org>  Tue, 24 May 2005 20:33:19 +0200

apt-build (0.12.5) unstable; urgency=low

  * Include patch from Raphael Bossek (Closes: #309738)
   + Flexible configuration possibilities via command line.
   + Uses APT configuration to determine architecture.
   + Fixed problems with package installation.
  * Add LANG=C for apt-cache call (Closes: #310303)

 -- Julien Danjou <acid@debian.org>  Tue, 24 May 2005 20:06:10 +0200

apt-build (0.12.4) experimental; urgency=low

  * Add vi translation
  * Fix a critical bug (forgot a sub call)
  * Some code cleanup
  * Put gcc args at the end to be sure that optimization won't be
    overwritten (Closes: #301567) 

 -- Julien Danjou <acid@debian.org>  Fri, 13 May 2005 20:35:40 +0200

apt-build (0.12.3) experimental; urgency=low

  * The "Björn Heide" release ;-)
  * Download good source version (Closes: #307677)
  * Fix epoch-problem probleme in deb filename (Closes: #307682)
  * Avoid unnecessary dpkg-calls (Closes: #307678)

 -- Julien Danjou <acid@debian.org>  Thu,  5 May 2005 15:34:37 +0200

apt-build (0.12.2) experimental; urgency=low

  * Update it translation 
  * Strip epoch (Closes: #306994)
  * Enhance sub install

 -- Julien Danjou <acid@debian.org>  Sat, 30 Apr 2005 22:02:03 +0200

apt-build (0.12.1) experimental; urgency=low

  * Fix some variable name change if package already built 
  * Fix output print

 -- Julien Danjou <acid@debian.org>  Sat, 23 Apr 2005 23:55:05 +0200

apt-build (0.12.0) experimental; urgency=low

  * Now use libapt-pkg-perl in a better way and drop many apt-get calls

 -- Julien Danjou <acid@debian.org>  Sat, 23 Apr 2005 23:27:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -52,24 +52,12 @@
 	dh_clean -k
 	dh_installdirs
 
+	$(MAKE) DESTDIR=debian/apt-build HOST_TYPE=$(DEB_HOST_GNU_TYPE) install
+
 	# Add here commands to install the package into debian/apt-build.
 	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -n 1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > debian/apt-build/usr/bin/apt-build
-	chmod 0755 debian/apt-build/usr/bin/apt-build
-	install cc.wrapper debian/apt-build/usr/lib/apt-build/
-	install make.wrapper debian/apt-build/usr/lib/apt-build/
-	# gcc
-	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/gcc
-	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/cc
-	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/$(DEB_HOST_GNU_TYPE)-gcc
-	# g++
-	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/g++
-	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/c++
-	dh_link usr/lib/apt-build/cc.wrapper usr/lib/apt-build/$(DEB_HOST_GNU_TYPE)-g++
-	# make
-	dh_link usr/lib/apt-build/make.wrapper usr/lib/apt-build/make
 
 	install -m 644 debian/Release debian/apt-build/usr/share/apt-build/
-
 
 # Build architecture-independent files here.
 binary-indep: build install

## apt-build 0.12.17

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 HOST_TYPE = 
 
 all: $(APT_BUILD_WRAPPER)
+	$(MAKE) -C man/
 
 $(APT_BUILD_WRAPPER): wrapper.c config.o
 	$(CC) $(CFLAGS) -o $@ $^
@@ -31,3 +32,4 @@
 
 clean:
 	rm -f *.o $(APT_BUILD_WRAPPER) cc.wrapper.c make.wrapper.c
+	$(MAKE) -C man/ clean

=== debian/changelog ===
apt-build (0.12.17) unstable; urgency=low

  * Fix a bug in the PATH filter (Closes: #328170)

 -- Julien Danjou <acid@debian.org>  Sat,  7 Jan 2006 23:57:37 +0100

apt-build (0.12.16) unstable; urgency=low

  * Update sv manpage translation (Closes: #343935)

 -- Julien Danjou <acid@debian.org>  Sat,  7 Jan 2006 23:31:49 +0100

apt-build (0.12.15) unstable; urgency=low

  * Update sv translation (Closes: #342952) 
  * Add sv manpage translation

 -- Julien Danjou <acid@debian.org>  Mon, 12 Dec 2005 00:16:14 +0100

apt-build (0.12.14) unstable; urgency=low

  * Fix patch problem (Closes: #329937)
  * Fix PATH problem (Closes: #332394) 
  * Add support for --force-yes apt option (Closes: #329215)
  * Add ca translation (Closes: #336499)
  * Update sv translation (Closes: #336671)
  * Update ru translation (Closes: #337091)

 -- Julien Danjou <acid@debian.org>  Sun, 11 Dec 2005 18:06:45 +0100

apt-build (0.12.13) unstable; urgency=low

  * Fix PATH problem (Closes: #332252)
  * Add sv translation (Closes: #331514) 

 -- Julien Danjou <acid@debian.org>  Wed,  5 Oct 2005 15:30:05 +0200

apt-build (0.12.12) unstable; urgency=low

  * Depends on debconf or debconf-2.0
  * Add pt translation (Closes: #329874)

 -- Julien Danjou <acid@debian.org>  Tue, 27 Sep 2005 10:43:15 +0200

apt-build (0.12.11) unstable; urgency=low

  * Fix problem with source command (Closes: #315093)
  * Tweak config.c, should fix some parsing errors (Closes: #314275)
  * Fix --nowrapper option (Closes: #325707)
  * Now use mtune instead of mcpu option for gcc
  * Add experimental support for amd64
  * Add some more CPU based on gcc4 for x86 

 -- Julien Danjou <acid@debian.org>  Sat, 17 Sep 2005 16:45:16 +0200

apt-build (0.12.10) unstable; urgency=low

  * Switch to po4a (Closes: #316780)
  * Update vi translation (Closes: #313120) 

 -- Julien Danjou <acid@debian.org>  Wed,  3 Aug 2005 16:04:33 +0200

=== debian/control ===
Source: apt-build
Section: devel
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>> 3.0.0), po4a
Standards-Version: 3.6.2.1

Package: apt-build
Architecture: any
Depends: ${perl:Depends}, apt (>= 0.5), gcc, g++, dpkg-dev (>= 1.9), libappconfig-perl (>= 1.5), libapt-pkg-perl (>= 0.1.11), debconf | debconf-2.0, devscripts, apt-utils
Recommends: fakeroot, build-essential
Conflicts: pentium-builder
Description: frontend to apt to build, optimize and install packages
 This is an apt-get front-end for compiling software optimized
 for your architecture by creating a local repository with built packages.
 It can manage system upgrades too.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 DEB_HOST_ARCH           := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_SYSTEM     := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

## apt-build 0.12.25

=== debian/changelog ===
apt-build (0.12.25) unstable; urgency=medium

  * Update de debconf translation

 -- Julien Danjou <acid@debian.org>  Sun, 19 Nov 2006 01:23:34 +0100

apt-build (0.12.24) unstable; urgency=low

  * Update fr translation (Closes: #389271)

 -- Julien Danjou <acid@debian.org>  Thu, 28 Sep 2006 16:38:54 +0200

apt-build (0.12.23) unstable; urgency=low

  * Apply patch from "C. Hangelog" <changelog@verbena.co.uk> to fix a
    bug with +bX version numbers (Closes: #332594)
  * Update fr translation (Closes: #389271)

 -- Julien Danjou <acid@debian.org>  Wed, 27 Sep 2006 11:12:57 +0200

apt-build (0.12.22) unstable; urgency=low

  * Update fr translation (Closes: #384515)
  * Update es tranlsation (Closes: #384472)
  * Update nl translation (Closes: #383804)
  * Add po-debconf to build-dep

 -- Julien Danjou <acid@debian.org>  Tue,  5 Sep 2006 10:40:50 +0200

apt-build (0.12.21) unstable; urgency=low

  * Update ca translation (Closes: #382580)
  * Update vi translation
  * Fix a string about i386 arch choices
  * Update ja translation (Closes: #382601)

 -- Julien Danjou <acid@debian.org>  Sat, 12 Aug 2006 11:31:51 +0200

apt-build (0.12.20) unstable; urgency=low

  * Update sv translation
  * Update ru translation (Closes: #382542)

 -- Julien Danjou <acid@debian.org>  Fri, 11 Aug 2006 21:52:34 +0200

apt-build (0.12.19) unstable; urgency=low

  * Update it translation (Closes: #382393)
  * Update pt translation (Closes: #329874)

 -- Julien Danjou <acid@debian.org>  Fri, 11 Aug 2006 16:45:57 +0200

apt-build (0.12.18) unstable; urgency=low

  * Fix a bug with /proc/cpuinfo missing (Closes: #296320)
  * Fix a bug with LANG= for apt-cache (Thanks Pierre Habouzit)
    (Closes: #374306)
  * Add patch from Emmanuel Valliet to fix a bug in wrapper realloc
    (Closes: #381605)
  * Improve debconf templates, thanks Thomas Huriaux (Closes: #378094)
  * Fix a typo in sub source_by_source (Closes: #368651)
  * Add pentium-m in templates (Closes: #375994)
  * Bump standards version

 -- Julien Danjou <acid@debian.org>  Sat,  5 Aug 2006 22:44:23 +0200

## apt-build 0.12.27

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id$
+# $Id: Makefile 2 2006-02-15 21:26:29Z acid $
 
 APT_BUILD = apt-build
 APT_BUILD_WRAPPER = apt-build-wrapper

=== debian/changelog ===
apt-build (0.12.27) unstable; urgency=low

  * Update cz translation (Closes: #408606)

 -- Julien Danjou <acid@debian.org>  Sat, 27 Jan 2007 13:50:47 +0100

apt-build (0.12.26) unstable; urgency=low

  * Fix a typo in README (Closes: #389863)

 -- Julien Danjou <acid@debian.org>  Fri, 12 Jan 2007 09:03:19 +0100

=== debian/control ===
Source: apt-build
Section: devel
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>> 4.0.0), po4a, po-debconf
Standards-Version: 3.7.2

Package: apt-build
Architecture: any
Depends: ${perl:Depends}, apt (>= 0.5), gcc, g++, dpkg-dev (>= 1.9), libappconfig-perl (>= 1.5), libapt-pkg-perl (>= 0.1.11), debconf | debconf-2.0, devscripts, apt-utils
Recommends: fakeroot, build-essential
Description: frontend to apt to build, optimize and install packages
 This is an apt-get front-end for compiling software optimized
 for your architecture by creating a local repository with built packages.
 It can manage system upgrades too.

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
+	debconf-updatepo
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
 	dh_clean

## apt-build 0.12.28ubuntu1

=== debian/changelog ===
apt-build (0.12.28ubuntu1) gutsy; urgency=low

  * debian/postinst: Handle nonexistent /etc/apt/sources.list
    (LP: #149360)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- dAniel hAhler <ubuntu@thequod.de>  Fri, 05 Oct 2007 22:45:11 +0200

apt-build (0.12.28) unstable; urgency=low

  * Fix problem with epochs (Closes: #408346)
  * Switch to debhelper 5

 -- Julien Danjou <acid@debian.org>  Thu, 12 Apr 2007 15:40:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: apt-build
 Section: devel
 Priority: optional
-Maintainer: Julien Danjou <acid@debian.org>
-Build-Depends: debhelper (>> 4.0.0), po4a, po-debconf
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julien Danjou <acid@debian.org>
+Build-Depends: debhelper (>> 5.0.0), po4a, po-debconf
 Standards-Version: 3.7.2
 
 Package: apt-build

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
 
 DEB_HOST_ARCH           := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_SYSTEM     := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

## apt-build 0.12.31ubuntu1

=== debian/changelog ===
apt-build (0.12.31ubuntu1) hardy; urgency=low

  * Manual sync from Debian unstable, plus a new fix (described below).
  * apt-build (LP: #79364):
     - Fix apt-build to let it use packages from repositories for which there's
       only a deb-src line in /etc/apt/sources.list. This is done by
       changing the "apt-cache show" call in get_src_version() to use
       "apt-cache showsrc" instead; fix discovered by Andrea Gasparini.
  * debian/control:
     - Modify Maintainer value to match the DebianMaintainerField
       specification.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 06 Apr 2008 19:55:59 +0200

apt-build (0.12.31) unstable; urgency=low

  * Fix possible buffer overflow in PATH adding to make args (Closes: #471144)

 -- Julien Danjou <acid@debian.org>  Wed, 02 Apr 2008 07:19:29 +0200

apt-build (0.12.30) unstable; urgency=low

  * Apply Yoram patch to add PATH as make argument (Closes: #451169)
  * Apply Andrea patch to support specific distribution (Closes: #454472)
  * Bump standards version
  * Add some missing options to manpage (Closes: #461466)
  * Depends on libc, use shlibdeps
  * Add copyright notice
  * Add Vcs fields

 -- Julien Danjou <acid@debian.org>  Mon, 25 Feb 2008 14:52:14 +0100

apt-build (0.12.29ubuntu1) hardy; urgency=low

  * apt-build: Support specific version/distribution for packages to
    install ( LP: #145875 )

 -- Andrea Gasparini <gaspa@yattaweb.it>  Wed, 05 Dec 2007 11:06:19 +0100

apt-build (0.12.29) unstable; urgency=low

  * Don't touch sources.list anymore (Closes: #446074)
  * Don't die on no sources (Closes: #444487)
  * Add sk translation (Closes: #437510)
  * Fix typo in README.Debian (Closes: #434366)

 -- Julien Danjou <acid@debian.org>  Mon, 26 Nov 2007 18:17:56 +0100

=== debian/control ===
Source: apt-build
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>> 5.0.0), po4a, po-debconf
Standards-Version: 3.7.3
Vcs-Git: git://git.debian.org/git/apt-build/apt-build.git
Vcs-Browser: http://git.debian.org/?p=apt-build/apt-build.git

Package: apt-build
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, apt (>= 0.5), gcc, g++, dpkg-dev (>= 1.9), libappconfig-perl (>= 1.5), libapt-pkg-perl (>= 0.1.11), debconf | debconf-2.0, devscripts, apt-utils
Recommends: fakeroot, build-essential
Description: frontend to apt to build, optimize and install packages
 This is an apt-get front-end for compiling software optimized
 for your architecture by creating a local repository with built packages.
 It can manage system upgrades too.

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,8 @@
 	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -n 1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > debian/apt-build/usr/bin/apt-build
 
 	install -m 644 debian/Release debian/apt-build/usr/share/apt-build/
+	mkdir -p debian/apt-build/etc/apt/sources.list.d
+	touch debian/apt-build/etc/apt/sources.list.d/apt-build
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -67,26 +69,15 @@
 	dh_testroot
 	dh_installdebconf 
 	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
 	dh_installman
-#	dh_installinfo
-#	dh_undocumented
 	dh_installchangelogs 
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_makeshlibs
 	dh_installdeb
 	dh_perl
-#	dh_shlibdeps
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## apt-build 0.12.36

=== debian/changelog ===
apt-build (0.12.36) unstable; urgency=low

  * Use showsrc instead of show in apt-cache
  * Add missing CPU: core2 and others (Closes: #492152, #472525)

 -- Julien Danjou <acid@debian.org>  Sat, 26 Jul 2008 17:44:47 +0200

apt-build (0.12.35) unstable; urgency=low

  * Add tr translation (Closes: #486489)

 -- Julien Danjou <acid@debian.org>  Mon, 16 Jun 2008 14:33:15 +0200

apt-build (0.12.34) unstable; urgency=low

  * Update fr manpage translation (Closes: #474678)

 -- Julien Danjou <acid@debian.org>  Mon, 16 Jun 2008 11:55:00 +0200

apt-build (0.12.33) unstable; urgency=low

  * Update fr translation (Closes: #474678)
  * Fix list file extension (Closes: #471668)
  * Bump standard version

 -- Julien Danjou <acid@debian.org>  Sat, 14 Jun 2008 09:14:54 +0200

apt-build (0.12.32) unstable; urgency=low

  * Add gl translation (Closes: #483222)

 -- Julien Danjou <acid@debian.org>  Wed, 28 May 2008 10:56:05 +0200

## apt-build 0.12.37

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
-# $Id: Makefile 2 2006-02-15 21:26:29Z acid $
+# $Id$
 
 APT_BUILD = apt-build
 APT_BUILD_WRAPPER = apt-build-wrapper
 WRAP_PROGRAMMS = gcc cc g++ c++ make
-CFLAGS = -W -Wall -D_GNU_SOURCE -g
+CFLAGS = -W -Wall -Wextra -std=gnu99 -pipe -Wundef -Wshadow -Wcast-align \
+	 -Wwrite-strings -Wsign-compare -Wunused -Winit-self -Wpointer-arith -Wredundant-decls \
+	 -Wmissing-prototypes -Wmissing-format-attribute -Wmissing-noreturn -D_GNU_SOURCE -g
 INSTALL = install
 LN_S = ln -s
 BINDIR = $(DESTDIR)/usr/bin

=== debian/changelog ===
apt-build (0.12.37) unstable; urgency=low

  * Move tr translation to the right place.

 -- Julien Danjou <acid@debian.org>  Sun, 12 Oct 2008 15:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: apt-build
 Section: devel
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julien Danjou <acid@debian.org>
+Maintainer: Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>> 5.0.0), po4a, po-debconf
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/apt-build/apt-build.git
 Vcs-Browser: http://git.debian.org/?p=apt-build/apt-build.git

## apt-build 0.12.38

=== debian/changelog ===
apt-build (0.12.38) unstable; urgency=low

  * QA upload
  * Maintainer field set to QA Group
  * Use dpkg's option --print-architecture in place of the obsolete option
    --print-installation-architecture in debian/postinst (Closes: #598092)
  * Create sources.list.d file with the right extension (.list)
  * Set the -e flag in debian/preinst
  * Point to /usr/share/common-licenses/GPL-2 in copyright file rather than to
    the versionless symlink /usr/share/common-licenses/GPL
  * Updated Standards-Version
  * Added ${misc:Depends} to dependencies as per debhelper recommended best
    practices

 -- Emanuele Rocca <ema@debian.org>  Sun, 13 Mar 2011 12:31:02 +0100

=== debian/control ===
Source: apt-build
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 5.0.0), po4a, po-debconf
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/apt-build/apt-build.git
Vcs-Browser: http://git.debian.org/?p=apt-build/apt-build.git

Package: apt-build
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, apt (>= 0.5), gcc, g++, dpkg-dev (>= 1.9), libappconfig-perl (>= 1.5), libapt-pkg-perl (>= 0.1.11), debconf | debconf-2.0, devscripts, apt-utils
Recommends: fakeroot, build-essential
Description: frontend to apt to build, optimize and install packages
 This is an apt-get front-end for compiling software optimized
 for your architecture by creating a local repository with built packages.
 It can manage system upgrades too.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 
 	install -m 644 debian/Release debian/apt-build/usr/share/apt-build/
 	mkdir -p debian/apt-build/etc/apt/sources.list.d
-	touch debian/apt-build/etc/apt/sources.list.d/apt-build
+	touch debian/apt-build/etc/apt/sources.list.d/apt-build.list
 
 # Build architecture-independent files here.
 binary-indep: build install

## apt-build 0.12.39

=== debian/changelog ===
apt-build (0.12.39) unstable; urgency=low

  * QA upload.
  * Split Choices in debconf templates
  * Add build-arch and build-indep build targets
  * Bump Standards to 3.9.2
  * Bump debhelper compatibility to 8
    * Replace dh_clean -k by dh_prep
  * Add "set -e" in config script
  * Fix pending l10n issues. 
  * Manpages translations:
    - Spanish. Closes: #538104
    - German. Closes: #608434
  * Debconf translations:
    - Danish (Joe Hansen).  Closes: #608434
    - Greek, (Thomas Vasileiou).  Closes: #657099
    - Polish (Michał Kułach).  Closes: #657322
    - Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #657455

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 Jan 2012 18:01:27 +0100

## apt-build 0.12.40

=== debian/changelog ===
apt-build (0.12.40) unstable; urgency=high

  * QA upload.
  * Prevent error if debconf cannot display questions. Closes: #658098

 -- Dominique Lasserre <lasserre.d@gmail.com>  Tue, 31 Jan 2012 22:18:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>> 5.0.0), po4a, po-debconf
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), po4a, po-debconf
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/apt-build/apt-build.git
 Vcs-Browser: http://git.debian.org/?p=apt-build/apt-build.git

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
-
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 
@@ -47,7 +48,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) DESTDIR=debian/apt-build HOST_TYPE=$(DEB_HOST_GNU_TYPE) install

## apt-build 0.12.41

=== debian/changelog ===
apt-build (0.12.41) experimental; urgency=low

  * QA upload.
  * Do not use outdated apt configuration settings
    Patch by F Couperin
    Closes: 639859
  * --help: Fix clean-repository description
    Patch by F Couperin
    Closes: 528338

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 06 Feb 2012 11:55:04 +1100

## apt-build 0.12.42

=== debian/changelog ===
apt-build (0.12.42) experimental; urgency=low

  * QA upload.
  * Bump source format to 3.0 (native).
  * Added archive suite. Clear solution for #639859.
  * Allow non authenticated installation from apt-build repository. Closes: 
    #316572, #369173
  * Added new cpu-type profiles to debconf templates.
  * Changed default make option in template (-j`cpu_cores`). Set question
    priority to "high".
  * debian/dirs: Removed due to its redundancy.
  * Prevent empty directory for build_dir and repository_dir (use loop).
    Closes: #511853
  * Move debconf-only related content from postinst to config file and pimp
    debconf stuff (configuration file handling).
  * --yes (assume-yes) functionality is now recognized by aptitude. Also
    renamed help information from apt-get and apt-cache to aptget and aptcache.
    (thanks to Bryant Wong) Closes: #392844
  * Improved source version and name handling. Closes: #314155, #315102,
    #425044, #434859
  * Pull correct build dependencies. Closes: #624365
  * Compilation with cmake is supported (no code changes). Closes: #507881
  * Build with local version number (suffix +aptbuild). Closes: #391449,
    #592006
  * Support sources stored at /Dir::Etc::sourceparts. Closes: #596296
  * Rebuild Packages.gz after repository cleaning.
  * Patch from Kumar Appaiah: Allow package builds without binary packages
    registered in sources. Closes: #179850, #291565, #292169
  * Unregister conffiles located in /etc/apt/sources.list.d/. Changes are
    completely managed by debconf and maintainer scripts. Closes: #660590
  * Bump debhelper compatibility mode to 9.
  * Bump Standards version to 3.9.3.

 -- Dominique Lasserre <lasserre.d@gmail.com>  Fri, 24 Feb 2012 02:02:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-
+	
 	touch configure-stamp
 
 
@@ -29,17 +29,17 @@
 build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
-
+	
 	# Add here commands to compile the package.
 	$(MAKE)
-
+	
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-
+	
 	debconf-updatepo
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
@@ -50,15 +50,14 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-
+	
 	$(MAKE) DESTDIR=debian/apt-build HOST_TYPE=$(DEB_HOST_GNU_TYPE) install
-
+	
 	# Add here commands to install the package into debian/apt-build.
 	sed 's/my $$VERSION = .*/my $$VERSION = "$(shell head -n 1 debian/changelog | cut -d " " -f 2 | sed -e 's/(//; s/)//;' | cut -d "-" -f 2)";/' apt-build > debian/apt-build/usr/bin/apt-build
-
+	
+	install -d 755 debian/apt-build/usr/share/apt-build
 	install -m 644 debian/Release debian/apt-build/usr/share/apt-build/
-	mkdir -p debian/apt-build/etc/apt/sources.list.d
-	touch debian/apt-build/etc/apt/sources.list.d/apt-build.list
 
 # Build architecture-independent files here.
 binary-indep: build install

## apt-build 0.12.43

=== debian/changelog ===
apt-build (0.12.43) unstable; urgency=low

  * QA upload.
  * Upload to unstable
  * Patch from Kumar Appaiah: Fix compiler links with host names. Closes:
    #502377
  * Patch from Kumar Appaiah: Add gfortran support. Closes: #502379

 -- Dominique Lasserre <lasserre.d@gmail.com>  Wed, 11 Apr 2012 23:13:55 +0200

## apt-build 0.12.44

=== debian/changelog ===
apt-build (0.12.44) unstable; urgency=low

  * QA upload.
  * Don't fail on postinstallation if no "processor" found in /proc/cpuinfo.
    LP: #1065678 (Thanks to Dawid Wróbel.) Closes: #694554
  * Generate APT paths properly with apt-config shell .../f .../d .
    Closes: #694557

 -- Dominique Lasserre <lasserre.d@gmail.com>  Tue, 27 Nov 2012 18:43:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 8), po4a, po-debconf
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), po4a, po-debconf
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/apt-build/apt-build.git
 Vcs-Browser: http://git.debian.org/?p=apt-build/apt-build.git
 
 Package: apt-build
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, apt (>= 0.5), gcc, g++, dpkg-dev (>= 1.9), libappconfig-perl (>= 1.5), libapt-pkg-perl (>= 0.1.11), debconf | debconf-2.0, devscripts, apt-utils
+Pre-Depends: dpkg (>= 1.15.7.2~)
 Recommends: fakeroot, build-essential
 Description: frontend to apt to build, optimize and install packages
  This is an apt-get front-end for compiling software optimized
